import os, apport.packaging, apport.hookutils

def add_info(report, ui):

    response = ui.choice("How would you describe the issue?", ["The totem interface is not working correctly", "No sound is being played", "Some audio files or videos are not being played correctly"], False)

    if response == None: # user cancelled
        raise StopIteration
    if response[0] == 1: # the issue is a sound one
        commandlog = apport.hookutils.command_output(['amixer', 'get', 'PCM']) + apport.hookutils.command_output(['amixer', 'get', 'Master'])
        for lines in commandlog.splitlines():
            if '%' in lines:
                if 'off' in lines or int(lines[lines.find('[')+1:lines.find('%')]) < 60:
                    ui.information('The volume seems to be low or muted please try to change your mixer settings before opening a bug')
                    raise StopIteration
#        ui.information('The bug reporting tool will play a test sound using the "aplay" command when you close this dialog, please make sure you have volume set')
        ui.information('The bug report tool will play up to three sounds when you close this dialog, please make sure you have volume set')
        apport.hookutils.command_output(['aplay', '/usr/share/sounds/question.wav'])

        response = ui.yesno('Did you hear the first sound?')    
        if response == None: # user cancelled
            raise StopIteration
        if response == False: # no sound, the bug is an alsa one
            report.add_package_info("alsa-base")
            return

#        ui.information('The bug reporting tool will play a test sound using the "paplay" command when you close this dialog, please make sure you have volume set')
        apport.hookutils.command_output(['paplay', '/usr/share/sounds/question.wav'])

        response = ui.yesno('Did you hear the second sound?')    
        if response == None: # user cancelled
            raise StopIteration
        if response == False: # no sound, the bug is a pulseaudio one
            report.add_package_info("pulseaudio")
            return

#        ui.information('The bug reporting tool will play a test sound using the "gst-launch-0.10" when you close this dialog, please make sure you have volume set')
        apport.hookutils.command_output(['gst-launch-0.10', 'playbin', 'uri=file:///usr/share/sounds/question.wav'])

        response = ui.yesno('Did you hear the third sound?')    
        if response == None: # user cancelled
            raise StopIteration
        if response == False: # no sound, the bug is a gstreamer one
            report.add_package_info("libgstreamer0.10-0")
            return
    if response[0] == 2: # the issue is a codec one
        report.add_package_info("libgstreamer0.10-0")
        return

    report["LogAlsaMixer"] = apport.hookutils.command_output(["/usr/bin/amixer"])
    report["GstreamerVersions"] = apport.hookutils.package_versions("gstreamer*")
    report["XorgLog"] = apport.hookutils.read_file("/var/log/Xorg.0.log")
